## eog-exif-util

eog-exif-util

## Functions

gchar * | eog_exif_util_format_date ()
ExifData * | eog_exif_data_copy ()
void | eog_exif_data_free ()
const gchar * | eog_exif_data_get_value ()

## Description

## Functions

### eog_exif_util_format_date ()

    gchar *
    eog_exif_util_format_date (const gchar *date);

Takes a date string formatted after Exif specifications and generates a more readable, possibly localized, string out of it.

#### Parameters

date | a date string following Exif specifications |

#### Returns

a newly allocated date string formatted according to the current locale.

### eog_exif_data_copy ()

    ExifData *
    eog_exif_data_copy (ExifData *data);

#### Returns

### eog_exif_data_free ()

    void
    eog_exif_data_free (ExifData *data);

### eog_exif_data_get_value ()

    const gchar *
    eog_exif_data_get_value (ExifData *exif_data,
                             gint tag_id,
                             gchar *buffer,
                             guint buf_size);

Convenience function to extract a string representation of an Exif tag directly from an ExifData struct. The string is written into `buffer` as far as `buf_size` permits.

#### Parameters

exif_data | pointer to an ExifData struct |
tag_id | the requested tag's id. See `exif-tag.h` from the libexif package for possible values (e.g. `EXIF_TAG_EXPOSURE_MODE`). |
buffer | a pre-allocated output buffer |
buf_size | size of `buffer` |

#### Returns

a pointer to `buffer` .

## Types and Values